Bug 1564272 - Review Request: golang-github-klauspost-compress - Optimized compression packages
Summary: Review Request: golang-github-klauspost-compress - Optimized compression pack...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1377262 1561757
TreeView+ depends on / blocked
 
Reported: 2018-04-05 21:17 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-04-11 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 22:18:21 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1376749 None CLOSED Review Request: golang-github-klauspost-compress - Optimized compression packages 2019-03-19 00:09:10 UTC

Internal Links: 1376749

Description Dominik 'Rathann' Mierzejewski 2018-04-05 21:17:48 UTC
Spec URL: https://rathann.fedorapeople.org/review/golang-github-klauspost-compress/golang-github-klauspost-compress.spec
SRPM URL: https://rathann.fedorapeople.org/review/golang-github-klauspost-compress/golang-github-klauspost-compress-1.2.1-1.fc27.src.rpm
Description:
This package is based on an optimized Deflate function, which is used by
gzip/zip/zlib packages.

It offers slightly better compression at lower compression settings, and up to
3x faster encoding at highest compression level.

Fedora Account System Username: rathann

Comment 1 Robert-André Mauchin 🐧 2018-04-06 10:02:48 UTC
 - Latest version packaged
 - License ok
 - Builds in Mock
 - Conforms to the Packaging Guidelines

 - Fix the line encodings for:

golang-github-klauspost-compress-devel.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/golang-github-klauspost-compress-devel/README.md
golang-github-klauspost-compress-devel.noarch: W: wrong-file-end-of-line-encoding /usr/share/gocode/src/github.com/klauspost/compress/README.md


Package approved.

Comment 2 Gwyn Ciesla 2018-04-09 13:05:12 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-klauspost-compress

Comment 3 Dominik 'Rathann' Mierzejewski 2018-04-11 22:18:21 UTC
I had to make it archful due to the use of assembly on x86_64 (noarch package came out different on x86_64), but finally imported and built for rawhide. Thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.